/* =========================
   CAREER PAGE STYLES
========================= */

.career-container {
    width: 90%;
    max-width: 1200px;
    margin: auto;
    /* font-family: Arial, sans-serif; */
    margin-top: 3%;

}

/* Top Cards */
.top-section {
    display: flex;
    grid-template-columns: 1fr 1fr;
    gap: 30px;
    margin-bottom: 50px;
}

.career-card {
    background: rgb(233 242 251);
    border-radius: 12px;
    overflow: hidden;
    box-shadow: 0 4px 15px rgba(0,0,0,0.08);
    transition: 0.3s;
    cursor: pointer;
}

.career-card:hover {
    transform: translateY(-5px);
}

.career-card img {
    width: 100%;
    height: 220px;
    object-fit: cover;
    border-radius: 8px;
}

.career-card-content {
    padding: 20px;
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    font-weight: bold;
    color: rgb(83 83 83);
    letter-spacing: 1px;
}

.arrow-btn {
    width: 35px;
    height: 35px;
    border-radius: 50%;
    background: rgb(83 83 83);;
    color: #fff;
    display: flex;
    align-items: center;
    justify-content: center;
}

/* Jobs In India CSS START Here */

/* PAGE BACKGROUND */

.jobs-hero {
    background: #dcdcdc;
    padding: 40px 0 60px;
    text-align: center;
}

.hero-top {
    max-width: 1200px;
    margin: auto;
    display: flex;
    justify-content: end;
    align-items: center;
    padding: 0 20px;
}

.hero-actions {
    display: flex;
    gap: 15px;
    align-items: center;
}

.btn-login,
.btn-register {
    background: #e30613;
    color: #fff !important;
    padding: 8px 18px;
    border-radius: 6px;
    text-decoration: none;
    font-size: 14px;
    letter-spacing: 1px;
}

.bookmark-icon {
    cursor: pointer;
}

.hero-center {
    margin-top: 40px;
}

.hero-center h1 {
    font-size: 42px;
    font-weight: 600;
}

.hero-center h1 span {
    color: #e30613;
}

.hero-center p {
    max-width: 600px;
    margin: 15px auto;
    color: #555;
}

.hero-search {
    margin-top: 25px;
    display: flex;
    justify-content: center;
}

.search-box {
    display: flex;
    align-items: center;
    background: #fff;
    border-radius: 10px;
    overflow: hidden;
    width: 550px;
}

.search-icon {
    padding: 0 15px;
}

.search-box input {
    flex: 1;
    border: none;
    padding: 14px;
    outline: none;
    letter-spacing: 1px;
}

.search-box button {
    background: #e30613;
    color: #fff;
    border: none;
    padding: 14px 25px;
    letter-spacing: 1px;
}



.jobs-page {
    background: #f4f6f8;
    padding: 60px 0;
}

/* CONTAINER */
.jobs-container {
    max-width: 1200px;
    margin: auto;
    padding: 0 20px;
}

/* GRID */
.jobs-section-grid {
    display: flex;
    gap: 30px;
    width: 100%;
}

/* SIDEBAR */
.jobs-sidebar {
    /* width: 280px; */
    width: 25%;
}

.jobs-content-wrapper{
    width: 70%;
}
.filter-box {
    padding: 18px 0;
    border-bottom: 1px solid #e5e5e5;
}

.filter-content {
    display: none;
    padding-top: 12px;
}

.filter-content label {
    display: flex;              /* important */
    align-items: center;
    gap: 8px;
    font-size: 14px;
    margin-bottom: 10px;
    cursor: pointer;
    color:#000;
}

.filter-content input[type="checkbox"] {
    width: 14px;
    height: 14px;
}

.filter-head {
    display: flex;
    justify-content: space-between;
    font-size: 16px;
    font-weight: 700;
    cursor: pointer;
    color:#000;
}

.filter-head .icon {
    font-size: 18px;
}

.open-filter-btn {
    display: none;
    background: #e30613;
    color: #fff;
    padding: 8px 18px;
    border-radius: 6px;
    border: none;
    margin-bottom: 20px;
    cursor: pointer;
}

/* JOB CONTENT */
.jobs-content {
    flex: 1;
}

.jobs-hero {
    position: relative;
    z-index: 1;
}

/* JOB CARD */
.job-section {
    background: #f3f3f3;
    padding: 25px;
    border-radius: 12px;
    margin-bottom: 20px;
    letter-spacing: 1px;
}

.job-section:hover {
    box-shadow: 0 8px 25px rgba(0,0,0,0.08);
}

.job-title {
    font-size: 24px;
    font-weight: 600;
    margin-bottom: 15px;
    color: #1d1d1d;
}

.job-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.job-header h3 {
    color: #e30613
}
.posted-date {
    font-size: 13px;
    color: #777;
}

.job-meta strong {
    margin-right: 5px;
}

.job-info {
    font-size: 15px;
    color: #555;
    line-height: 1.6;
    margin-bottom: 20px;
}

/* BUTTON GROUP */
.job-actions {
    display: flex;
    gap: 15px;
}

.submit-cv{
    display: block;
    margin-top: 5%;
}

/* BUTTONS */
.btn-red {
    background: #e30613;
    color: #fff !important;
    padding: 10px 22px;
    border-radius: 8px;
    text-decoration: none;
    font-weight: 500;
}

.btn-border {
    border: 1.5px solid #e30613;
    color: #000 !important;
    padding: 10px 22px;
    border-radius: 8px;
    text-decoration: none;
    font-weight: 500;
}

.btn-gray {
    border: 1.5px solid #333;
    color: #333;
    padding: 10px 22px;
    border-radius: 8px;
    text-decoration: none;
    font-weight: 500;
}

.job-footer {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-top: 15px;
}

.left-buttons {
    display: flex;
    gap: 15px;
}

.right-save {
    text-align: right;
}

.btn-save {
    display: flex;
    align-items: center;
    gap: 6px;
    border: 1px solid #000;
    padding: 10px 22px;
    border-radius: 6px;
    text-decoration: none;
    color: #000 !important;
}

/* Custom Checkbox Container */
.custom-checkbox {
    display: flex;
    align-items: center;
    position: relative;
    padding-left: 30px;
    margin-bottom: 10px;
    cursor: pointer;
    font-size: 14px;
}

/* Hide default checkbox */
.custom-checkbox input {
    position: absolute;
    opacity: 0;
    cursor: pointer;
}

/* Custom box */
.checkmark {
    position: absolute;
    left: 0;
    top: 2px;
    height: 18px;
    width: 18px;
    border: 2px solid #ccc;
    border-radius: 4px;
    background: #fff;
}

/* Checked state */
.custom-checkbox input:checked ~ .checkmark {
    background-color: #e30613;
    border-color: #e30613;
}

/* Tick mark */
.checkmark:after {
    content: "";
    position: absolute;
    display: none;
}

/* Show tick */
.custom-checkbox input:checked ~ .checkmark:after {
    display: block;
}

/* Tick style */
.custom-checkbox .checkmark:after {
    left: 5px;
    top: 1px;
    width: 4px;
    height: 9px;
    border: solid white;
    border-width: 0 2px 2px 0;
    transform: rotate(45deg);
}

.custom-checkbox:hover .checkmark {
    border-color: #e30613;
}


.clear-filters{
    background:none;
    border:none;
    color:#e30613;
    font-size:14px;
    cursor:pointer;
    font-weight:500;
}

.clear-filters:hover{
    text-decoration:underline;
}

.filter-title-row{
    display:flex;
    justify-content:space-between;
    align-items:center;
    margin-bottom:15px;
}

.sidebar-title{
    display:flex;
    align-items:center;
    gap:8px;
}

.close-filter{
    cursor:pointer;
    font-size:16px;
}


.state-group{
    padding-bottom:10px;
}

.state-head{
    display:flex;
    justify-content:space-between;
    align-items:center;
}

.state-toggle{
    cursor: pointer;
}


.city-list{
    display:none;
    padding-left:18px;
    margin-top:5px;
}

.city-list .custom-checkbox{
    display:block;
    margin:6px 0;
}

.clear-filters.disabled{
    opacity:0.4;
    pointer-events:none;
}

.filter-search{
    width:100%;
    padding:8px 10px;
    border:1px solid #ddd;
    border-radius:4px;
    margin-bottom:10px;
    font-size:14px;
}

.filter-search:focus{
    outline:none;
    border-color:#e30613;
}

.location-search{
    width:100%;
    padding:8px 10px;
    border:1px solid #ddd;
    border-radius:4px;
    margin-bottom:10px;
    font-size:14px;
}

.location-search:focus{
    outline:none;
    border-color:#e30613;
}

.active-filters{
    margin-bottom:20px;
    display:none;
    flex-wrap:wrap;
    align-items:center;
    gap:8px;
}

.active-filters.is-visible {
    display: flex;
}

.filter-label{
    font-weight:600;
    margin-right:5px;
}

.filter-tag{
    background:#f2f2f2;
    padding:6px 10px;
    border-radius:20px;
    font-size:13px;
    display:flex;
    align-items:center;
    gap:6px;
    transition:all .2s ease;
}

.filter-tag .remove-filter{
    cursor:pointer;
    font-weight:bold;
}

.filter-tags{
    display:flex;
    flex-wrap:wrap;
    gap:8px;
}

/* RESPONSIVE */
@media (max-width: 992px) {
    .jobs-section-grid {
        flex-direction: column;
    }

    .jobs-sidebar {
        width: 100%;
    }
}

/* Jobs In India CSS END Here */

/* Responsive */
@media(max-width: 900px) {
    .top-section {
        display: grid;
        grid-template-columns: 1fr;
    }
}

@media (max-width: 768px) {

    .job-footer{
        flex-direction: column;
        align-items: flex-start;
        gap: 12px;
    }

    .left-buttons{
        width: 100%;
    }

    .left-buttons a{
        flex:1;
        text-align:center;
    }

    .right-save{
        width:100%;
    }

    .btn-save{
        justify-content:center;
        width:100%;
    }

}
